# FieldMoveTypePowerBoostAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class FieldMoveTypePowerBoostAbAttr

#### Hierarchy (view full)

- FieldMovePowerBoostAbAttr
  - FieldMoveTypePowerBoostAbAttr

- Defined in src/data/ability.ts:1190

#####
Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyPreAttack
getCondition
getTriggerMessage

## Constructors

### constructor

- new FieldMoveTypePowerBoostAbAttr(boostedType, powerMultiplier?): FieldMoveTypePowerBoostAbAttr

- #### Parameters

  - boostedType: Type
  - `Optional` powerMultiplier: number

  #### Returns FieldMoveTypePowerBoostAbAttr

  Overrides FieldMovePowerBoostAbAttr.constructor

  - Defined in src/data/ability.ts:1191

## Properties

### showAbility

showAbility: boolean

Inherited from FieldMovePowerBoostAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from FieldMovePowerBoostAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from FieldMovePowerBoostAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPreAttack

- applyPreAttack(pokemon, passive, defender, move, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - defender: default
  - move: default
  - args: any[]

  #### Returns boolean

  Inherited from FieldMovePowerBoostAbAttr.applyPreAttack

  - Defined in src/data/ability.ts:1179

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from FieldMovePowerBoostAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from FieldMovePowerBoostAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137